Subject: Re: [bug#50363] [PATCH v4] Improve default diff hunk header detection.

From: Sarah Morgensen <[email-masked]>
Date: Wed, 22 Sep 2021 09:22:43 -0700

Hi Ludo,

> I have one last question:
>
>> +format-patch} sent to the @email{guix-patches@@gnu.org} mailing list
>> +(@pxref{submitting patches,, Submitting patches to a project, git, Git
>> +User Manual}).  Contributors are encouraged to take a moment to set some
>
> AFAICS, there’s no Info-format Git manual, is there?  In that case, the
> pxref above is incorrect, but we can use @uref instead and/or suggest
> ‘man git’ or similar.

We don't currently build it, but there is.  In the git repo, in
Documentation/Makefile:

--8<---------------cut here---------------start------------->8---
info: git.info gitman.info
[...]
git.info: user-manual.texi
	$(QUIET_MAKEINFO)$(MAKEINFO) --no-split -o $@ user-manual.texi
--8<---------------cut here---------------end--------------->8---

It's available online at

  https://git-scm.com/docs/user-manual

and

  https://mirrors.edge.kernel.org/pub/software/scm/git/docs/user-manual.html

My other patch, #50683, adds this reference to htmlxref.cnf.

>
> The rest LGTM, thank you, and thanks Kyle!
>
> Ludo’.

--
Sarah